sc::SCMatrixJointSubblockIter(3)

NAME
sc::SCMatrixJointSubblockIter -

SYNOPSIS

Inherits sc::SCMatrixSubblockIter.

  Public Member Functions
SCMatrixJointSubblockIter (const Ref< SCMatrixSubblockIter > &, const Ref< SCMatrixSubblockIter > &, const Ref< SCMatrixSubblockIter > &=0, const Ref< SCMatrixSubblockIter > &=0, const Ref< SCMatrixSubblockIter > &=0)
void begin ()
Start at the beginning.
int ready ()
Returns nonzero if there is another block.
void next ()
Proceed to the next block.
SCMatrixBlock * block ()
Return the current block.
SCMatrixBlock * block (int i)

  Protected Attributes
int niters_
Ref< SCMatrixSubblockIter > * iters_

  Additional Inherited Members

Author

Generated automatically by Doxygen for MPQC from the source code.